apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.131.0.42/23"],"mac_address":"0a:58:0a:83:00:2a","gateway_ips":["10.131.0.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.131.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.131.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.131.0.1"}],"ip_address":"10.131.0.42/23","gateway_ip":"10.131.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.131.0.42"
          ],
          "mac": "0a:58:0a:83:00:2a",
          "default": true,
          "dns": {}
      }]
    kubectl.kubernetes.io/default-container: compute
    kubevirt.io/domain: fedora-8
    kubevirt.io/migration-target-ready-timestamp: 2024-08-07 00:05:24 +0000 UTC
    kubevirt.io/migrationJobName: kubevirt-workload-update-pnlvf
    kubevirt.io/migrationTransportUnix: "true"
    kubevirt.io/nonroot: "true"
    kubevirt.io/vm-generation: "1"
    post.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--unfreeze", "--name",
      "fedora-8", "--namespace", "default"]'
    post.hook.backup.velero.io/container: compute
    pre.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--freeze", "--name",
      "fedora-8", "--namespace", "default"]'
    pre.hook.backup.velero.io/container: compute
    traffic.sidecar.istio.io/kubevirtInterfaces: k6t-eth0
    vm.kubevirt.io/flavor: large
    vm.kubevirt.io/os: fedora
    vm.kubevirt.io/workload: desktop
  creationTimestamp: "2024-08-07T00:05:11Z"
  generateName: virt-launcher-fedora-8-
  labels:
    kubevirt.io: virt-launcher
    kubevirt.io/created-by: 29751520-25f8-4ef3-acfe-17d708b89175
    kubevirt.io/domain: fedora-1
    kubevirt.io/migrationJobUID: 4cda42e4-46ec-40d3-a8bf-c6abedfc9160
    kubevirt.io/migrationTargetNodeName: f04-h32-000-r640
    kubevirt.io/nodeName: e31-h06-000-r640
    kubevirt.io/size: large
    vm.kubevirt.io/name: fedora-8
  name: virt-launcher-fedora-8-rs9p8
  namespace: default
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachineInstance
    name: fedora-8
    uid: 29751520-25f8-4ef3-acfe-17d708b89175
  resourceVersion: "2572733"
  uid: 3338c0af-7f16-4a7e-9993-3c6668798812
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: node-labeller.kubevirt.io/obsolete-host-model
            operator: DoesNotExist
    podAntiAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchLabels:
            kubevirt.io/created-by: 29751520-25f8-4ef3-acfe-17d708b89175
        topologyKey: kubernetes.io/hostname
  automountServiceAccountToken: false
  containers:
  - command:
    - /usr/bin/virt-launcher-monitor
    - --qemu-timeout
    - 247s
    - --name
    - fedora-8
    - --uid
    - 29751520-25f8-4ef3-acfe-17d708b89175
    - --namespace
    - default
    - --kubevirt-share-dir
    - /var/run/kubevirt
    - --ephemeral-disk-dir
    - /var/run/kubevirt-ephemeral-disks
    - --container-disk-dir
    - /var/run/kubevirt/container-disks
    - --grace-period-seconds
    - "195"
    - --hook-sidecars
    - "0"
    - --ovmf-path
    - /usr/share/OVMF
    - --run-as-nonroot
    env:
    - name: XDG_CACHE_HOME
      value: /var/run/kubevirt-private
    - name: XDG_CONFIG_HOME
      value: /var/run/kubevirt-private
    - name: XDG_RUNTIME_DIR
      value: /var/run
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:7dfac1a5bb0e355ae12cc2849d5b0440f96becbd96a9f375f323527342730433
    imagePullPolicy: IfNotPresent
    name: compute
    resources:
      limits:
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
      requests:
        cpu: 200m
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
        ephemeral-storage: 50M
        memory: 8458Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        add:
        - NET_BIND_SERVICE
        drop:
        - ALL
      privileged: false
      runAsGroup: 107
      runAsNonRoot: true
      runAsUser: 107
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeDevices:
    - devicePath: /dev/rootdisk
      name: rootdisk
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
    - mountPath: /var/run/kubevirt
      name: public
    - mountPath: /var/run/kubevirt-ephemeral-disks
      name: ephemeral-disks
    - mountPath: /var/run/kubevirt/container-disks
      mountPropagation: HostToContainer
      name: container-disks
    - mountPath: /var/run/libvirt
      name: libvirt-runtime
    - mountPath: /var/run/kubevirt/sockets
      name: sockets
    - mountPath: /var/run/kubevirt/hotplug-disks
      mountPropagation: HostToContainer
      name: hotplug-disks
  dnsPolicy: ClusterFirst
  enableServiceLinks: false
  hostname: fedora-8
  nodeName: e31-h06-000-r640
  nodeSelector:
    cpu-feature.node.kubevirt.io/amd-ssbd: "true"
    cpu-feature.node.kubevirt.io/amd-stibp: "true"
    cpu-feature.node.kubevirt.io/arch-capabilities: "true"
    cpu-feature.node.kubevirt.io/hypervisor: "true"
    cpu-feature.node.kubevirt.io/ibpb: "true"
    cpu-feature.node.kubevirt.io/ibrs: "true"
    cpu-feature.node.kubevirt.io/ibrs-all: "true"
    cpu-feature.node.kubevirt.io/invtsc: "true"
    cpu-feature.node.kubevirt.io/md-clear: "true"
    cpu-feature.node.kubevirt.io/mds-no: "true"
    cpu-feature.node.kubevirt.io/pdcm: "true"
    cpu-feature.node.kubevirt.io/pku: "true"
    cpu-feature.node.kubevirt.io/pschange-mc-no: "true"
    cpu-feature.node.kubevirt.io/rdctl-no: "true"
    cpu-feature.node.kubevirt.io/skip-l1dfl-vmentry: "true"
    cpu-feature.node.kubevirt.io/ss: "true"
    cpu-feature.node.kubevirt.io/stibp: "true"
    cpu-feature.node.kubevirt.io/tsc_adjust: "true"
    cpu-feature.node.kubevirt.io/tsx-ctrl: "true"
    cpu-feature.node.kubevirt.io/umip: "true"
    cpu-feature.node.kubevirt.io/vmx: "true"
    cpu-feature.node.kubevirt.io/xsaves: "true"
    cpu-model-migration.node.kubevirt.io/Cascadelake-Server: "true"
    kubernetes.io/arch: amd64
    kubevirt.io/schedulable: "true"
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  readinessGates:
  - conditionType: kubevirt.io/virtual-machine-unpaused
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 107
    runAsGroup: 107
    runAsNonRoot: true
    runAsUser: 107
    seLinuxOptions:
      level: s0:c189,c256
    seccompProfile:
      localhostProfile: kubevirt/kubevirt.json
      type: Localhost
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 210
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - emptyDir: {}
    name: private
  - emptyDir: {}
    name: public
  - emptyDir: {}
    name: sockets
  - emptyDir: {}
    name: virt-bin-share-dir
  - emptyDir: {}
    name: libvirt-runtime
  - emptyDir: {}
    name: ephemeral-disks
  - emptyDir: {}
    name: container-disks
  - name: rootdisk
    persistentVolumeClaim:
      claimName: fedora-1-hrhhi
  - emptyDir: {}
    name: hotplug-disks
status:
  conditions:
  - lastProbeTime: "2024-08-07T00:05:25Z"
    lastTransitionTime: "2024-08-07T00:05:25Z"
    message: the virtual machine is not paused
    reason: NotPaused
    status: "True"
    type: kubevirt.io/virtual-machine-unpaused
  - lastProbeTime: null
    lastTransitionTime: "2024-08-07T00:05:11Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2024-08-07T00:05:25Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2024-08-07T00:05:20Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2024-08-07T00:05:11Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://3d0f772caf947a0ae901b09960ae56901f86d95766d1a98205883a4f431129b1
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:7dfac1a5bb0e355ae12cc2849d5b0440f96becbd96a9f375f323527342730433
    imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:0bec33ddad6008ca9ea29d88f5782e8c25055057ed660699cbc7a96551bdf763
    lastState: {}
    name: compute
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2024-08-07T00:05:20Z"
  hostIP: 198.18.10.8
  phase: Running
  podIP: 10.131.0.42
  podIPs:
  - ip: 10.131.0.42
  qosClass: Burstable
  startTime: "2024-08-07T00:05:11Z"
